Opened 14 months ago

Last modified 14 months ago

#1702 new defect

Seagate ST8000VN004-2M2101 doesn't show SMART attributes with -x

Reported by: Matt Cole Owned by:
Priority: minor Milestone: undecided
Component: smartctl Version: 7.3
Keywords: linux sat Cc:

Description

I have a Seagate Ironwolf 8TB drive (model ST8000VN004-2M2101) that's attached to a Syba 8-bay SATA-to-USB enclosure.

When I run smartctl -a, the "Vendor Specific SMART Attributes with Thresholds" section shows in the output, as I'd expect.

However, when I run smartctl -x, this section isn't included in the output -- instead, I see the following in the output at about the point where I'd expect this section to be:

Write SCT (Get) Feature Control Command failed: scsi error aborted command
Wt Cache Reorder: Unknown (SCT Feature Control command failed)

Read SMART Data failed: SAT command failed

Since the man page indicated that -x is equivalent to -H -i -g all -g wcreorder -c -A -f brief -l xerror,error -l xselftest,selftest -l selective -l directory -l scttemp -l scterc -l devstat -l defects -l sataphy, I tried running smartctl with these flags and then individually eliminating flags until the problem went away. Through this process, I managed to narrow down -g wcreorder as being the offending flag -- once I removed that, the issue went away.

If it helps, I've attached the output of smartctl -a, smartctl -x, and smartctl -x -r ioctl -r ioctl.

Attachments (3)

smartctl_-a_output.txt (5.1 KB ) - added by Matt Cole 14 months ago.
Output of smartctl -a
smartctl_-x_output.txt (14.2 KB ) - added by Matt Cole 14 months ago.
Output of smartctl -x
smartctl_-x_-r_ioctl_-r_ioctl_output.txt (24.2 KB ) - added by Matt Cole 14 months ago.
Output of smartctl -x -r ioctl -r ioctl

Download all attachments as: .zip

Change History (6)

by Matt Cole, 14 months ago

Attachment: smartctl_-a_output.txt added

Output of smartctl -a

by Matt Cole, 14 months ago

Attachment: smartctl_-x_output.txt added

Output of smartctl -x

by Matt Cole, 14 months ago

Output of smartctl -x -r ioctl -r ioctl

comment:1 by Christian Franke, 14 months ago

Keywords: linux sat added
Milestone: undecided

The SAT command failed suggests that, for some unknown reason, the kernel aborts the first SAT ATA PASS-THROUGH command after the PASS-THROUGH command for SMART WRITE LOG which failed with SCSI SENSE 0xb/0/0 (aborted command - no additional sense code).

Do other SATA devices supporting Wt Cache Reorder work on this machine with smartctl -x ?

comment:2 by Matt Cole, 14 months ago

Yep:

mikaey@backup-server:~/smartmontools-7.3$ sudo smartctl -x -d sat /dev/sdx -r ioctl -r ioctl
smartctl 7.3 2022-02-28 r5338 [x86_64-linux-5.4.0-144-generic] (local build)
Copyright (C) 2002-22, Bruce Allen, Christian Franke, www.smartmontools.org


REPORT-IOCTL: Device=/dev/sdx Command=IDENTIFY DEVICE
 Input:   FR=...., SC=0x01, LL=...., LM=...., LH=...., DEV=...., CMD=0xec IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 00 00 01 00 00 00 00 00 00 00 ec 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000307s]
REPORT-IOCTL: Device=/dev/sdx Command=IDENTIFY DEVICE returned 0
=== START OF INFORMATION SECTION ===
Device Model:     HUH728080ALE601
Serial Number:    VLHH1UYY
LU WWN Device Id: 5 000cca 260d4eff7
Firmware Version: A4GL0003
User Capacity:    8,001,563,222,016 bytes [8.00 TB]
Sector Sizes:     512 bytes logical, 4096 bytes physical
Rotation Rate:    7200 rpm
Form Factor:      3.5 inches
Device is:        Not in smartctl database 7.3/5319
ATA Version is:   ACS-2, ATA8-ACS T13/1699-D revision 4
SATA Version is:  SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s)
Local Time is:    Wed Mar 22 16:16:33 2023 CDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
AAM feature is:   Unavailable
APM feature is:   Disabled
Rd look-ahead is: Enabled
Write cache is:   Enabled
DSN feature is:   Unavailable
ATA Security is:  Disabled, NOT FROZEN [SEC1]

REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000351s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 0a 26 00 d6 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x2, sg_transport_status=0x0, sg_driver_status=0x8
  sg_info=0x1  sg_duration=8 milliseconds  resid=0
  status=2: [desc] sense_key=1 asc=0 ascq=1d

REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=4 milliseconds  resid=0
 [Duration: 0.000372s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
Wt Cache Reorder: Enabled


REPORT-IOCTL: Device=/dev/sdx Command=SMART READ ATTRIBUTE VALUES
 Input:   FR=0xd0, SC=0x01, LL=...., LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d0 00 01 00 00 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.003175s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ ATTRIBUTE VALUES returned 0

REPORT-IOCTL: Device=/dev/sdx Command=SMART READ ATTRIBUTE THRESHOLDS
 Input:   FR=0xd1, SC=0x01, LL=0x01, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d1 00 01 00 01 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000522s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ ATTRIBUTE THRESHOLDS returned 0
=== START OF READ SMART DATA SECTION ===

REPORT-IOCTL: Device=/dev/sdx Command=SMART STATUS CHECK
 Input:   FR=0xda, SC=...., LL=...., LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 06 2c 00 da 00 00 00 00 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x2, sg_transport_status=0x0, sg_driver_status=0x8
  sg_info=0x1  sg_duration=4 milliseconds  resid=0
  status=2: [desc] sense_key=1 asc=0 ascq=1d
 [Duration: 0.000358s]
 Output: ERR=0x00, SC=0x00, LL=0x00, LM=0x4f, LH=0xc2, DEV=0x00, STS=0x50
REPORT-IOCTL: Device=/dev/sdx Command=SMART STATUS CHECK returned 0
SMART overall-health self-assessment test result: PASSED

General SMART Values:
Offline data collection status:  (0x82)	Offline data collection activity
					was completed without error.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0)	The previous self-test routine completed
					without error or no self-test has ever
					been run.
Total time to complete Offline
data collection: 		(  101) seconds.
Offline data collection
capabilities: 			 (0x5b) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					Offline surface scan supported.
					Self-test supported.
					No Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					General Purpose Logging supported.
Short self-test routine
recommended polling time: 	 (   1) minutes.
Extended self-test routine
recommended polling time: 	 (   1) minutes.
SCT capabilities: 	       (0x003d)	SCT Status supported.
					SCT Error Recovery Control supported.
					SCT Feature Control supported.
					SCT Data Table supported.

SMART Attributes Data Structure revision number: 16
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
  1 Raw_Read_Error_Rate     PO-R--   100   100   016    -    0
  2 Throughput_Performance  P-S---   135   135   054    -    100
  3 Spin_Up_Time            POS---   100   100   024    -    0
  4 Start_Stop_Count        -O--C-   100   100   000    -    122
  5 Reallocated_Sector_Ct   PO--CK   100   100   005    -    0
  7 Seek_Error_Rate         PO-R--   100   100   067    -    0
  8 Seek_Time_Performance   P-S---   140   140   020    -    15
  9 Power_On_Hours          -O--C-   095   095   000    -    37088
 10 Spin_Retry_Count        PO--C-   100   100   060    -    0
 12 Power_Cycle_Count       -O--CK   100   100   000    -    45
 22 Unknown_Attribute       PO---K   100   100   025    -    100
 45 Unknown_Attribute       PO---K   050   050   001    -    16711935
192 Power-Off_Retract_Count -O--CK   100   100   000    -    579
193 Load_Cycle_Count        -O--C-   100   100   000    -    579
194 Temperature_Celsius     -O----   171   171   000    -    35 (Min/Max 14/48)
196 Reallocated_Event_Count -O--CK   100   100   000    -    0
197 Current_Pending_Sector  -O---K   100   100   000    -    0
198 Offline_Uncorrectable   ---R--   100   100   000    -    2
199 UDMA_CRC_Error_Count    -O-R--   200   200   000    -    0
231 Temperature_Celsius     -O--CK   100   100   000    -    0
241 Total_LBAs_Written      -O--C-   100   100   000    -    2172563112378
242 Total_LBAs_Read         -O--C-   100   100   000    -    2100568370751
                            ||||||_ K auto-keep
                            |||||__ C event count
                            ||||___ R error rate
                            |||____ S speed/performance
                            ||_____ O updated online
                            |______ P prefailure warning


REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=0
 Input:   FR=0xd5, SC=0x01, LL=0x00, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 00 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000415s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 00 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
Address    Access  R/W   Size  Description
0x00       GPL,SL  R/O      1  Log Directory
0x01           SL  R/O      1  Summary SMART error log
0x02           SL  R/O      1  Comprehensive SMART error log
0x03       GPL     R/O      1  Ext. Comprehensive SMART error log
0x04       GPL,SL  R/O      8  Device Statistics log
0x06           SL  R/O      1  SMART self-test log
0x07       GPL     R/O      1  Extended self-test log
0x08       GPL     R/O      2  Power Conditions log
0x09           SL  R/W      1  Selective self-test log
0x10       GPL     R/O      1  NCQ Command Error log
0x11       GPL     R/O      1  SATA Phy Event Counters log
0x12       GPL     R/O      1  SATA NCQ Non-Data log
0x13       GPL     R/O      1  SATA NCQ Send and Receive log
0x15       GPL     R/W      1  Rebuild Assist log
0x21       GPL     R/O      1  Write stream error log
0x22       GPL     R/O      1  Read stream error log
0x24       GPL     R/O    256  Current Device Internal Status Data log
0x25       GPL     R/O    256  Saved Device Internal Status Data log
0x30       GPL,SL  R/O      9  IDENTIFY DEVICE data log
0x80       GPL     R/W    688  Host vendor specific log
0x81-0x9f  GPL,SL  R/W     16  Host vendor specific log
0xb2       GPL     VS     688  Device vendor specific log
0xc8       GPL     VS      12  Device vendor specific log
0xe0       GPL,SL  R/W      1  SCT Command/Status
0xe1       GPL,SL  R/W      1  SCT Data Transfer

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 03 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
SMART Extended Comprehensive Error Log Version: 1 (1 sectors)
No Errors Logged

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 07 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
SMART Extended Self-test Log Version: 1 (1 sectors)
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Short offline       Completed without error       00%     36713         -
# 2  Extended offline    Completed without error       00%     36698         -
# 3  Short offline       Completed without error       00%     36665         -
# 4  Short offline       Completed without error       00%     36641         -
# 5  Vendor (0x70)       Completed without error       00%     36479         -
# 6  Vendor (0x71)       Completed without error       00%     36479         -


REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=9
 Input:   FR=0xd5, SC=0x01, LL=0x09, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 09 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000535s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.


REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000344s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
SCT Status Version:                  3
SCT Version (vendor specific):       256 (0x0100)
Device State:                        Active (0)
Current Temperature:                    35 Celsius
Power Cycle Min/Max Temperature:     34/39 Celsius
Lifetime    Min/Max Temperature:     14/48 Celsius
Under/Over Temperature Limit Count:   0/0


REPORT-IOCTL: Device=/dev/sdx Command=SMART WRITE LOG InputParameter=224
 Input:   FR=0xd6, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 OUT
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 0a 06 00 d6 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000319s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART WRITE LOG returned 0

REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=225
 Input:   FR=0xd5, SC=0x01, LL=0xe1, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e1 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=20 milliseconds  resid=0
 [Duration: 0.020958s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0

REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000339s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
SCT Temperature History Version:     2
Temperature Sampling Period:         1 minute
Temperature Logging Interval:        1 minute
Min/Max recommended Temperature:      0/60 Celsius
Min/Max Temperature Limit:           -40/70 Celsius
Temperature History Size (Index):    128 (78)

Index    Estimated Time   Temperature Celsius
  79    2023-03-22 14:09    35  ****************
 ...    ..(126 skipped).    ..  ****************
  78    2023-03-22 16:16    35  ****************


REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000319s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 0a 26 00 d6 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x2, sg_transport_status=0x0, sg_driver_status=0x8
  sg_info=0x1  sg_duration=0 milliseconds  resid=0
  status=2: [desc] sense_key=1 asc=0 ascq=1d

REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000341s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0

REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000319s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 0a 26 00 d6 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x2, sg_transport_status=0x0, sg_driver_status=0x8
  sg_info=0x1  sg_duration=0 milliseconds  resid=0
  status=2: [desc] sense_key=1 asc=0 ascq=1d

REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=4 milliseconds  resid=0
 [Duration: 0.000325s]
REPORT-IOCTL: Device=/dev/sdx Command=SMART READ LOG returned 0
SCT Error Recovery Control:
           Read: Disabled
          Write: Disabled

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=20 milliseconds  resid=0
Device Statistics (GP Log 0x04)
Page  Offset Size        Value Flags Description
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 01 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=16 milliseconds  resid=0
0x01  =====  =               =  ===  == General Statistics (rev 2) ==
0x01  0x008  4              45  ---  Lifetime Power-On Resets
0x01  0x010  4           37088  ---  Power-on Hours
0x01  0x018  6   2172563112378  ---  Logical Sectors Written
0x01  0x020  6      3173354720  ---  Number of Write Commands
0x01  0x028  6   2100568370751  ---  Logical Sectors Read
0x01  0x030  6      3161218550  ---  Number of Read Commands
0x01  0x038  6    133518076700  ---  Date and Time TimeStamp
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 03 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=16 milliseconds  resid=0
0x03  =====  =               =  ===  == Rotating Media Statistics (rev 1) ==
0x03  0x008  4           35142  ---  Spindle Motor Power-on Hours
0x03  0x010  4           35142  ---  Head Flying Hours
0x03  0x018  4             579  ---  Head Load Events
0x03  0x020  4               0  ---  Number of Reallocated Logical Sectors
0x03  0x028  4               4  ---  Read Recovery Attempts
0x03  0x030  4               0  ---  Number of Mechanical Start Failures
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 04 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=20 milliseconds  resid=0
0x04  =====  =               =  ===  == General Errors Statistics (rev 1) ==
0x04  0x008  4               0  ---  Number of Reported Uncorrectable Errors
0x04  0x010  4               2  ---  Resets Between Cmd Acceptance and Completion
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 05 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=16 milliseconds  resid=0
0x05  =====  =               =  ===  == Temperature Statistics (rev 1) ==
0x05  0x008  1              35  ---  Current Temperature
0x05  0x010  1              34  N--  Average Short Term Temperature
0x05  0x018  1              35  N--  Average Long Term Temperature
0x05  0x020  1              48  ---  Highest Temperature
0x05  0x028  1              14  ---  Lowest Temperature
0x05  0x030  1              47  N--  Highest Average Short Term Temperature
0x05  0x038  1              23  N--  Lowest Average Short Term Temperature
0x05  0x040  1              45  N--  Highest Average Long Term Temperature
0x05  0x048  1              25  N--  Lowest Average Long Term Temperature
0x05  0x050  4               0  ---  Time in Over-Temperature
0x05  0x058  1              60  ---  Specified Maximum Operating Temperature
0x05  0x060  4               0  ---  Time in Under-Temperature
0x05  0x068  1               0  ---  Specified Minimum Operating Temperature
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 06 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=16 milliseconds  resid=0
0x06  =====  =               =  ===  == Transport Statistics (rev 1) ==
0x06  0x008  4               1  ---  Number of Hardware Resets
0x06  0x010  4             145  ---  Number of ASR Events
0x06  0x018  4               0  ---  Number of Interface CRC Errors
                                |||_ C monitored condition met
                                ||__ D supports DSN
                                |___ N normalized value

Pending Defects log (GP Log 0x0c) not supported

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 11 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x0001  2            0  Command failed due to ICRC error
0x0002  2            0  R_ERR response for data FIS
0x0003  2            0  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0005  2            0  R_ERR response for non-data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS
0x0008  2            0  Device-to-host non-data FIS retries
0x0009  2            2  Transition from drive PhyRdy to drive PhyNRdy
0x000a  2            1  Device-to-host register FISes sent due to a COMRESET
0x000b  2            0  CRC errors within host-to-device FIS
0x000d  2            0  Non-CRC errors within host-to-device FIS

Last edited 14 months ago by Matt Cole (previous) (diff)

comment:3 by Matt Cole, 14 months ago

I even have another drive where the SMART READ LOG command fails, but the SMART READ ATTRIBUTE VALUES command still succeeds:

mikaey@backup-server:~/smartmontools-7.3$ sudo smartctl -x -d sat /dev/sdd -r ioctl -r ioctl
smartctl 7.3 2022-02-28 r5338 [x86_64-linux-5.4.0-144-generic] (local build)
Copyright (C) 2002-22, Bruce Allen, Christian Franke, www.smartmontools.org


REPORT-IOCTL: Device=/dev/sdd Command=IDENTIFY DEVICE
 Input:   FR=...., SC=0x01, LL=...., LM=...., LH=...., DEV=...., CMD=0xec IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 00 00 01 00 00 00 00 00 00 00 ec 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=4 milliseconds  resid=0
 [Duration: 0.002433s]
REPORT-IOCTL: Device=/dev/sdd Command=IDENTIFY DEVICE returned 0
=== START OF INFORMATION SECTION ===
Model Family:     Seagate IronWolf Pro
Device Model:     ST10000NE0008-2JM101
Serial Number:    ZJ0073V4
LU WWN Device Id: 5 000c50 0c7f77aac
Firmware Version: EN01
User Capacity:    10,000,831,348,736 bytes [10.0 TB]
Sector Sizes:     512 bytes logical, 4096 bytes physical
Rotation Rate:    7200 rpm
Form Factor:      3.5 inches
Device is:        In smartctl database 7.3/5319
ATA Version is:   ACS-4 (minor revision not indicated)
SATA Version is:  SATA 3.3, 6.0 Gb/s (current: 6.0 Gb/s)
Local Time is:    Wed Mar 22 16:09:31 2023 CDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
AAM feature is:   Unavailable
APM feature is:   Unavailable
Rd look-ahead is: Enabled
Write cache is:   Enabled
DSN feature is:   Disabled
ATA Security is:  Disabled, NOT FROZEN [SEC1]

REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=4 milliseconds  resid=0
 [Duration: 0.000550s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 0a 26 00 d6 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x2, sg_transport_status=0x0, sg_driver_status=0x8
  sg_info=0x1  sg_duration=0 milliseconds  resid=0
  status=2: [desc] sense_key=0 asc=0 ascq=1d

REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=12 milliseconds  resid=0
 [Duration: 0.012439s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
Unexpected SCT status 0x000d (action_code=0, function_code=2)
Wt Cache Reorder: Unknown (SCT Feature Control command failed)


REPORT-IOCTL: Device=/dev/sdd Command=SMART READ ATTRIBUTE VALUES
 Input:   FR=0xd0, SC=0x01, LL=...., LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d0 00 01 00 00 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.001669s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ ATTRIBUTE VALUES returned 0

REPORT-IOCTL: Device=/dev/sdd Command=SMART READ ATTRIBUTE THRESHOLDS
 Input:   FR=0xd1, SC=0x01, LL=0x01, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d1 00 01 00 01 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=8 milliseconds  resid=0
 [Duration: 0.006557s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ ATTRIBUTE THRESHOLDS returned 0
=== START OF READ SMART DATA SECTION ===

REPORT-IOCTL: Device=/dev/sdd Command=SMART STATUS CHECK
 Input:   FR=0xda, SC=...., LL=...., LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 06 2c 00 da 00 00 00 00 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x2, sg_transport_status=0x0, sg_driver_status=0x8
  sg_info=0x1  sg_duration=8 milliseconds  resid=0
  status=2: [desc] sense_key=0 asc=0 ascq=1d
 [Duration: 0.008906s]
 Output: ERR=0x00, SC=0x00, LL=0x00, LM=0x4f, LH=0xc2, DEV=0x40, STS=0x50
REPORT-IOCTL: Device=/dev/sdd Command=SMART STATUS CHECK returned 0
SMART overall-health self-assessment test result: PASSED
See vendor-specific Attribute list for marginal Attributes.

General SMART Values:
Offline data collection status:  (0x82)	Offline data collection activity
					was completed without error.
					Auto Offline Data Collection: Enabled.
Self-test execution status:      (   0)	The previous self-test routine completed
					without error or no self-test has ever
					been run.
Total time to complete Offline
data collection: 		(  567) seconds.
Offline data collection
capabilities: 			 (0x7b) SMART execute Offline immediate.
					Auto Offline data collection on/off support.
					Suspend Offline collection upon new
					command.
					Offline surface scan supported.
					Self-test supported.
					Conveyance Self-test supported.
					Selective Self-test supported.
SMART capabilities:            (0x0003)	Saves SMART data before entering
					power-saving mode.
					Supports SMART auto save timer.
Error logging capability:        (0x01)	Error logging supported.
					General Purpose Logging supported.
Short self-test routine
recommended polling time: 	 (   1) minutes.
Extended self-test routine
recommended polling time: 	 ( 977) minutes.
Conveyance self-test routine
recommended polling time: 	 (   2) minutes.
SCT capabilities: 	       (0x50bd)	SCT Status supported.
					SCT Error Recovery Control supported.
					SCT Feature Control supported.
					SCT Data Table supported.

SMART Attributes Data Structure revision number: 10
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME          FLAGS    VALUE WORST THRESH FAIL RAW_VALUE
  1 Raw_Read_Error_Rate     POSR--   079   064   044    -    88745839
  3 Spin_Up_Time            PO----   094   091   000    -    0
  4 Start_Stop_Count        -O--CK   100   100   020    -    40
  5 Reallocated_Sector_Ct   PO--CK   100   100   010    -    0
  7 Seek_Error_Rate         POSR--   076   060   045    -    38039578
  9 Power_On_Hours          -O--CK   081   081   000    -    16898
 10 Spin_Retry_Count        PO--C-   100   100   097    -    0
 12 Power_Cycle_Count       -O--CK   100   100   020    -    21
 18 Head_Health             PO-R--   100   100   050    -    0
187 Reported_Uncorrect      -O--CK   100   100   000    -    0
188 Command_Timeout         -O--CK   100   091   000    -    66199341055163
190 Airflow_Temperature_Cel -O---K   048   023   040    Past 52 (Min/Max 42/56 #16027)
192 Power-Off_Retract_Count -O--CK   100   100   000    -    5
193 Load_Cycle_Count        -O--CK   083   083   000    -    35139
194 Temperature_Celsius     -O---K   052   077   000    -    52 (0 18 0 0 0)
195 Hardware_ECC_Recovered  -O-RC-   079   064   000    -    88745839
197 Current_Pending_Sector  -O--C-   100   100   000    -    0
198 Offline_Uncorrectable   ----C-   100   100   000    -    0
199 UDMA_CRC_Error_Count    -OSRCK   200   200   000    -    0
200 Pressure_Limit          PO---K   100   100   001    -    0
240 Head_Flying_Hours       ------   100   253   000    -    11731h+23m+08.125s
241 Total_LBAs_Written      ------   100   253   000    -    124500366579
242 Total_LBAs_Read         ------   100   253   000    -    71159680389
                            ||||||_ K auto-keep
                            |||||__ C event count
                            ||||___ R error rate
                            |||____ S speed/performance
                            ||_____ O updated online
                            |______ P prefailure warning


REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=0
 Input:   FR=0xd5, SC=0x01, LL=0x00, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 00 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=4 milliseconds  resid=0
 [Duration: 0.000629s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 00 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
General Purpose Log Directory Version 1
SMART           Log Directory Version 1 [multi-sector log support]
Address    Access  R/W   Size  Description
0x00       GPL,SL  R/O      1  Log Directory
0x01           SL  R/O      1  Summary SMART error log
0x02           SL  R/O      5  Comprehensive SMART error log
0x03       GPL     R/O      5  Ext. Comprehensive SMART error log
0x04       GPL     R/O    256  Device Statistics log
0x04       SL      R/O      8  Device Statistics log
0x06           SL  R/O      1  SMART self-test log
0x07       GPL     R/O      1  Extended self-test log
0x08       GPL     R/O      2  Power Conditions log
0x09           SL  R/W      1  Selective self-test log
0x0a       GPL     R/W      8  Device Statistics Notification
0x0c       GPL     R/O   2048  Pending Defects log
0x10       GPL     R/O      1  NCQ Command Error log
0x11       GPL     R/O      1  SATA Phy Event Counters log
0x13       GPL     R/O      1  SATA NCQ Send and Receive log
0x15       GPL     R/W      1  Rebuild Assist log
0x21       GPL     R/O      1  Write stream error log
0x22       GPL     R/O      1  Read stream error log
0x24       GPL     R/O    768  Current Device Internal Status Data log
0x2f       GPL     -        1  Set Sector Configuration
0x30       GPL,SL  R/O      9  IDENTIFY DEVICE data log
0x80-0x9f  GPL,SL  R/W     16  Host vendor specific log
0xa1       GPL,SL  VS      24  Device vendor specific log
0xa2       GPL     VS   16320  Device vendor specific log
0xa4       GPL,SL  VS     160  Device vendor specific log
0xa6       GPL     VS     192  Device vendor specific log
0xa8-0xa9  GPL,SL  VS     136  Device vendor specific log
0xab       GPL     VS       1  Device vendor specific log
0xad       GPL     VS      16  Device vendor specific log
0xbe-0xbf  GPL     VS   65535  Device vendor specific log
0xc1       GPL,SL  VS       8  Device vendor specific log
0xc3       GPL,SL  VS      32  Device vendor specific log
0xc9       GPL,SL  VS       8  Device vendor specific log
0xca       GPL,SL  VS      16  Device vendor specific log
0xd1       GPL     VS     336  Device vendor specific log
0xd2       GPL     VS   10000  Device vendor specific log
0xd4       GPL     VS    2048  Device vendor specific log
0xda       GPL,SL  VS       1  Device vendor specific log
0xe0       GPL,SL  R/W      1  SCT Command/Status
0xe1       GPL,SL  R/W      1  SCT Data Transfer

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 03 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=20 milliseconds  resid=0
SMART Extended Comprehensive Error Log Version: 1 (5 sectors)
No Errors Logged

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 07 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=44 milliseconds  resid=0
SMART Extended Self-test Log Version: 1 (1 sectors)
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Extended offline    Interrupted (host reset)      00%     14503         -
# 2  Short offline       Completed without error       00%     14427         -
# 3  Short offline       Completed without error       00%     14426         -
# 4  Short offline       Completed without error       00%     14379         -
# 5  Short offline       Completed without error       00%     14355         -
# 6  Short offline       Completed without error       00%     14331         -
# 7  Short offline       Completed without error       00%     14307         -
# 8  Extended offline    Completed without error       00%     14300         -
# 9  Short offline       Completed without error       00%     14283         -
#10  Short offline       Completed without error       00%     14259         -


REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=9
 Input:   FR=0xd5, SC=0x01, LL=0x09, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 09 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000282s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
SMART Selective self-test log data structure revision number 1
 SPAN  MIN_LBA  MAX_LBA  CURRENT_TEST_STATUS
    1        0        0  Not_testing
    2        0        0  Not_testing
    3        0        0  Not_testing
    4        0        0  Not_testing
    5        0        0  Not_testing
Selective self-test flags (0x0):
  After scanning selected spans, do NOT read-scan remainder of disk.
If Selective self-test is pending on power-up, resume after 0 minute delay.


REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=8 milliseconds  resid=0
 [Duration: 0.008079s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
SCT Status Version:                  3
SCT Version (vendor specific):       522 (0x020a)
Device State:                        Active (0)
Current Temperature:                    53 Celsius
Power Cycle Min/Max Temperature:     42/55 Celsius
Lifetime    Min/Max Temperature:     18/77 Celsius
Under/Over Temperature Limit Count:   0/323
SMART Status:                        0xc24f (PASSED)
Vendor specific:
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00


REPORT-IOCTL: Device=/dev/sdd Command=SMART WRITE LOG InputParameter=224
 Input:   FR=0xd6, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 OUT
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 0a 06 00 d6 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000623s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART WRITE LOG returned 0

REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=225
 Input:   FR=0xd5, SC=0x01, LL=0xe1, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e1 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=0 milliseconds  resid=0
 [Duration: 0.000277s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0

REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=8 milliseconds  resid=0
 [Duration: 0.007050s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
SCT Temperature History Version:     2
Temperature Sampling Period:         3 minutes
Temperature Logging Interval:        59 minutes
Min/Max recommended Temperature:     10/40 Celsius
Min/Max Temperature Limit:            5/60 Celsius
Temperature History Size (Index):    128 (72)

Index    Estimated Time   Temperature Celsius
  73    2023-03-17 10:47    52  *********************************
  74    2023-03-17 11:46    51  ********************************
  75    2023-03-17 12:45    51  ********************************
  76    2023-03-17 13:44    52  *********************************
  77    2023-03-17 14:43    52  *********************************
  78    2023-03-17 15:42    51  ********************************
  79    2023-03-17 16:41    52  *********************************
  80    2023-03-17 17:40    52  *********************************
  81    2023-03-17 18:39    52  *********************************
  82    2023-03-17 19:38    53  **********************************
  83    2023-03-17 20:37    53  **********************************
  84    2023-03-17 21:36    53  **********************************
  85    2023-03-17 22:35    52  *********************************
  86    2023-03-17 23:34    52  *********************************
  87    2023-03-18 00:33    53  **********************************
  88    2023-03-18 01:32    54  ***********************************
  89    2023-03-18 02:31    54  ***********************************
  90    2023-03-18 03:30    53  **********************************
  91    2023-03-18 04:29    54  ***********************************
 ...    ..(  2 skipped).    ..  ***********************************
  94    2023-03-18 07:26    54  ***********************************
  95    2023-03-18 08:25    52  *********************************
  96    2023-03-18 09:24    53  **********************************
  97    2023-03-18 10:23    54  ***********************************
  98    2023-03-18 11:22    53  **********************************
  99    2023-03-18 12:21    52  *********************************
 100    2023-03-18 13:20    52  *********************************
 101    2023-03-18 14:19    53  **********************************
 102    2023-03-18 15:18    52  *********************************
 ...    ..(  4 skipped).    ..  *********************************
 107    2023-03-18 20:13    52  *********************************
 108    2023-03-18 21:12    54  ***********************************
 109    2023-03-18 22:11    54  ***********************************
 110    2023-03-18 23:10    53  **********************************
 111    2023-03-19 00:09    53  **********************************
 112    2023-03-19 01:08    52  *********************************
 113    2023-03-19 02:07    52  *********************************
 114    2023-03-19 03:06    53  **********************************
 115    2023-03-19 04:05    54  ***********************************
 116    2023-03-19 05:04    53  **********************************
 117    2023-03-19 06:03    53  **********************************
 118    2023-03-19 07:02    54  ***********************************
 119    2023-03-19 08:01    55  ************************************
 120    2023-03-19 09:00    53  **********************************
 ...    ..(  4 skipped).    ..  **********************************
 125    2023-03-19 13:55    53  **********************************
 126    2023-03-19 14:54    52  *********************************
 127    2023-03-19 15:53    52  *********************************
   0    2023-03-19 16:52    51  ********************************
   1    2023-03-19 17:51    52  *********************************
 ...    ..(  2 skipped).    ..  *********************************
   4    2023-03-19 20:48    52  *********************************
   5    2023-03-19 21:47    51  ********************************
   6    2023-03-19 22:46    53  **********************************
   7    2023-03-19 23:45    53  **********************************
   8    2023-03-20 00:44    51  ********************************
   9    2023-03-20 01:43    52  *********************************
 ...    ..(  7 skipped).    ..  *********************************
  17    2023-03-20 09:35    52  *********************************
  18    2023-03-20 10:34    53  **********************************
  19    2023-03-20 11:33    52  *********************************
 ...    ..(  7 skipped).    ..  *********************************
  27    2023-03-20 19:25    52  *********************************
  28    2023-03-20 20:24    53  **********************************
  29    2023-03-20 21:23    52  *********************************
 ...    ..(  3 skipped).    ..  *********************************
  33    2023-03-21 01:19    52  *********************************
  34    2023-03-21 02:18    51  ********************************
  35    2023-03-21 03:17    52  *********************************
  36    2023-03-21 04:16    52  *********************************
  37    2023-03-21 05:15    51  ********************************
  38    2023-03-21 06:14    52  *********************************
  39    2023-03-21 07:13    51  ********************************
  40    2023-03-21 08:12    52  *********************************
  41    2023-03-21 09:11    52  *********************************
  42    2023-03-21 10:10    52  *********************************
  43    2023-03-21 11:09    53  **********************************
  44    2023-03-21 12:08    53  **********************************
  45    2023-03-21 13:07    53  **********************************
  46    2023-03-21 14:06    52  *********************************
 ...    ..(  2 skipped).    ..  *********************************
  49    2023-03-21 17:03    52  *********************************
  50    2023-03-21 18:02    53  **********************************
  51    2023-03-21 19:01    52  *********************************
  52    2023-03-21 20:00    52  *********************************
  53    2023-03-21 20:59    53  **********************************
  54    2023-03-21 21:58    52  *********************************
 ...    ..(  3 skipped).    ..  *********************************
  58    2023-03-22 01:54    52  *********************************
  59    2023-03-22 02:53    53  **********************************
  60    2023-03-22 03:52    52  *********************************
 ...    ..( 10 skipped).    ..  *********************************
  71    2023-03-22 14:41    52  *********************************
  72    2023-03-22 15:40    53  **********************************


REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=8 milliseconds  resid=0
 [Duration: 0.007467s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 0a 26 00 d6 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x2, sg_transport_status=0x0, sg_driver_status=0x8
  sg_info=0x1  sg_duration=0 milliseconds  resid=0
  status=2: [desc] sense_key=0 asc=0 ascq=1d

REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=8 milliseconds  resid=0
 [Duration: 0.007067s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0

REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=8 milliseconds  resid=0
 [Duration: 0.008286s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 0a 26 00 d6 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x2, sg_transport_status=0x0, sg_driver_status=0x8
  sg_info=0x1  sg_duration=4 milliseconds  resid=0
  status=2: [desc] sense_key=0 asc=0 ascq=1d

REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG InputParameter=224
 Input:   FR=0xd5, SC=0x01, LL=0xe0, LM=0x4f, LH=0xc2, DEV=...., CMD=0xb0 IN
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 08 0e 00 d5 00 01 00 e0 00 4f 00 c2 00 b0 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=4 milliseconds  resid=0
 [Duration: 0.007228s]
REPORT-IOCTL: Device=/dev/sdd Command=SMART READ LOG returned 0
SCT Error Recovery Control:
           Read:     70 (7.0 seconds)
          Write:     70 (7.0 seconds)

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=40 milliseconds  resid=0
Device Statistics (GP Log 0x04)
Page  Offset Size        Value Flags Description
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 01 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=44 milliseconds  resid=0
0x01  =====  =               =  ===  == General Statistics (rev 1) ==
0x01  0x008  4              21  ---  Lifetime Power-On Resets
0x01  0x010  4           16898  ---  Power-on Hours
0x01  0x018  6    124498700241  ---  Logical Sectors Written
0x01  0x020  6      1308566760  ---  Number of Write Commands
0x01  0x028  6     71157927064  ---  Logical Sectors Read
0x01  0x030  6       354328233  ---  Number of Read Commands
0x01  0x038  6               -  ---  Date and Time TimeStamp
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 03 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=40 milliseconds  resid=0
0x03  =====  =               =  ===  == Rotating Media Statistics (rev 1) ==
0x03  0x008  4           16192  ---  Spindle Motor Power-on Hours
0x03  0x010  4           13311  ---  Head Flying Hours
0x03  0x018  4           35139  ---  Head Load Events
0x03  0x020  4               0  ---  Number of Reallocated Logical Sectors
0x03  0x028  4               0  ---  Read Recovery Attempts
0x03  0x030  4               0  ---  Number of Mechanical Start Failures
0x03  0x038  4               0  ---  Number of Realloc. Candidate Logical Sectors
0x03  0x040  4               5  ---  Number of High Priority Unload Events
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 04 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=44 milliseconds  resid=0
0x04  =====  =               =  ===  == General Errors Statistics (rev 1) ==
0x04  0x008  4               0  ---  Number of Reported Uncorrectable Errors
0x04  0x010  4           15547  ---  Resets Between Cmd Acceptance and Completion
0x04  0x018  4               0  -D-  Physical Element Status Changed
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 05 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=40 milliseconds  resid=0
0x05  =====  =               =  ===  == Temperature Statistics (rev 1) ==
0x05  0x008  1              53  ---  Current Temperature
0x05  0x010  1              52  ---  Average Short Term Temperature
0x05  0x018  1              55  ---  Average Long Term Temperature
0x05  0x020  1              77  ---  Highest Temperature
0x05  0x028  1              26  ---  Lowest Temperature
0x05  0x030  1              74  ---  Highest Average Short Term Temperature
0x05  0x038  1              31  ---  Lowest Average Short Term Temperature
0x05  0x040  1              63  ---  Highest Average Long Term Temperature
0x05  0x048  1              43  ---  Lowest Average Long Term Temperature
0x05  0x050  4           47447  ---  Time in Over-Temperature
0x05  0x058  1              60  ---  Specified Maximum Operating Temperature
0x05  0x060  4               0  ---  Time in Under-Temperature
0x05  0x068  1               5  ---  Specified Minimum Operating Temperature
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 06 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=44 milliseconds  resid=0
0x06  =====  =               =  ===  == Transport Statistics (rev 1) ==
0x06  0x008  4           15589  ---  Number of Hardware Resets
0x06  0x010  4           20092  ---  Number of ASR Events
0x06  0x018  4               0  ---  Number of Interface CRC Errors
>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 04 00 ff 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=40 milliseconds  resid=0
0xff  =====  =               =  ===  == Vendor Specific Statistics (rev 1) ==
0xff  0x008  7               0  ---  Vendor Specific
0xff  0x010  7               4  ---  Vendor Specific
0xff  0x018  7               0  ---  Vendor Specific
                                |||_ C monitored condition met
                                ||__ D supports DSN
                                |___ N normalized value

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 0c 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=104 milliseconds  resid=0
Pending Defects log (GP Log 0x0c)
No Defects Logged

>>>> do_scsi_cmnd_io: sg_io_ver=3
 [ata pass-through(16): 85 09 0e 00 00 00 01 00 11 00 00 00 00 00 2f 00 ]
  scsi_status=0x0, sg_transport_status=0x0, sg_driver_status=0x0
  sg_info=0x0  sg_duration=96 milliseconds  resid=0
SATA Phy Event Counters (GP Log 0x11)
ID      Size     Value  Description
0x000a  2            1  Device-to-host register FISes sent due to a COMRESET
0x0001  2            0  Command failed due to ICRC error
0x0003  2            0  R_ERR response for device-to-host data FIS
0x0004  2            0  R_ERR response for host-to-device data FIS
0x0006  2            0  R_ERR response for device-to-host non-data FIS
0x0007  2            0  R_ERR response for host-to-device non-data FIS

Note: See TracTickets for help on using tickets.